Package com.independentsoft.office.drawing

# Enum Class PresetShadowValue

java.lang.Object
java.lang.Enum<PresetShadowValue>
com.independentsoft.office.drawing.PresetShadowValue

All Implemented Interfaces:
  `Serializable`, `Comparable<PresetShadowValue>`, `Constable`

public enum PresetShadowValue extends Enum<PresetShadowValue>
The Enum PresetShadowValue.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BACK_CENTER_PERSPECTIVE`
  `BACK_LEFT_LONG_PERSPECTIVE`
  `BACK_LEFT_PERSPECTIVE`
  `BACK_RIGHT_LONG_PERSPECTIVE`
  `BACK_RIGHT_PERSPECTIVE`
  `BOTTOM_LEFT_DROP`
  `BOTTOM_RIGHT_DROP`
  `BOTTOM_RIGHT_SMALL_DROP`
  `FRONT_BOTTOM`
  `FRONT_LEFT_LONG_PERSPECTIVE`
  `FRONT_LEFT_PERSPECTIVE`
  `FRONT_RIGHT_LONG_PERSPECTIVE`
  `FRONT_RIGHT_PERSPECTIVE`
  `INNER_BOX_3D`
  `NONE`
  `OUTER_BOX_3D`
  `TOP_LEFT_DOUBLE_DROP`
  `TOP_LEFT_DROP`
  `TOP_LEFT_LARGE_DROP`
  `TOP_LEFT_SMALL_DROP`
  `TOP_RIGHT_DROP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PresetShadowValue`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PresetShadowValue[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP_LEFT_DROP

    public static final PresetShadowValue TOP_LEFT_DROP

  - ### TOP_LEFT_LARGE_DROP

    public static final PresetShadowValue TOP_LEFT_LARGE_DROP

  - ### BACK_LEFT_LONG_PERSPECTIVE

    public static final PresetShadowValue BACK_LEFT_LONG_PERSPECTIVE

  - ### BACK_RIGHT_LONG_PERSPECTIVE

    public static final PresetShadowValue BACK_RIGHT_LONG_PERSPECTIVE

  - ### TOP_LEFT_DOUBLE_DROP

    public static final PresetShadowValue TOP_LEFT_DOUBLE_DROP

  - ### BOTTOM_RIGHT_SMALL_DROP

    public static final PresetShadowValue BOTTOM_RIGHT_SMALL_DROP

  - ### FRONT_LEFT_LONG_PERSPECTIVE

    public static final PresetShadowValue FRONT_LEFT_LONG_PERSPECTIVE

  - ### FRONT_RIGHT_LONG_PERSPECTIVE

    public static final PresetShadowValue FRONT_RIGHT_LONG_PERSPECTIVE

  - ### OUTER_BOX_3D

    public static final PresetShadowValue OUTER_BOX_3D

  - ### INNER_BOX_3D

    public static final PresetShadowValue INNER_BOX_3D

  - ### BACK_CENTER_PERSPECTIVE

    public static final PresetShadowValue BACK_CENTER_PERSPECTIVE

  - ### TOP_RIGHT_DROP

    public static final PresetShadowValue TOP_RIGHT_DROP

  - ### FRONT_BOTTOM

    public static final PresetShadowValue FRONT_BOTTOM

  - ### BACK_LEFT_PERSPECTIVE

    public static final PresetShadowValue BACK_LEFT_PERSPECTIVE

  - ### BACK_RIGHT_PERSPECTIVE

    public static final PresetShadowValue BACK_RIGHT_PERSPECTIVE

  - ### BOTTOM_LEFT_DROP

    public static final PresetShadowValue BOTTOM_LEFT_DROP

  - ### BOTTOM_RIGHT_DROP

    public static final PresetShadowValue BOTTOM_RIGHT_DROP

  - ### FRONT_LEFT_PERSPECTIVE

    public static final PresetShadowValue FRONT_LEFT_PERSPECTIVE

  - ### FRONT_RIGHT_PERSPECTIVE

    public static final PresetShadowValue FRONT_RIGHT_PERSPECTIVE

  - ### TOP_LEFT_SMALL_DROP

    public static final PresetShadowValue TOP_LEFT_SMALL_DROP

  - ### NONE

    public static final PresetShadowValue NONE

- ## Method Details

  - ### values

    public static PresetShadowValue[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PresetShadowValue valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null